langcode: en
status: true
dependencies:
  config:
    - field.field.paragraph.progress_bar.field_bar_height
    - field.field.paragraph.progress_bar.field_percentage
    - field.field.paragraph.progress_bar.field_progress_variant
    - field.field.paragraph.progress_bar.field_title
    - field.field.paragraph.progress_bar.paragraph_view_mode
    - paragraphs.paragraphs_type.progress_bar
  module:
    - paragraph_view_mode
id: paragraph.progress_bar.default
targetEntityType: paragraph
bundle: progress_bar
mode: default
content:
  field_bar_height:
    type: number
    weight: 4
    region: content
    settings:
      placeholder: ''
    third_party_settings: {  }
  field_percentage:
    type: number
    weight: 1
    region: content
    settings:
      placeholder: ''
    third_party_settings: {  }
  field_progress_variant:
    type: options_select
    weight: 2
    region: content
    settings: {  }
    third_party_settings: {  }
  field_title:
    type: string_textfield
    weight: 3
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  paragraph_view_mode:
    type: paragraph_view_mode
    weight: 0
    region: content
    settings:
      view_modes:
        default: default
        danger: danger
        info: info
        success: success
        warning: warning
      default_view_mode: default
      form_mode_bind: false
      apply_to_preview: false
    third_party_settings: {  }
  translation:
    weight: 10
    settings: {  }
    third_party_settings: {  }
    region: content
hidden:
  created: true
  status: true
